Libraries to install on CentOS 6.x and setup WebSphere Portal 8.5

Share

I now CentOS is not supported. For several years i use CentOS without problemas with IBM Software. The information bellow is the list of packages to install on CentOS and run WebSphere Portal and Db2 on the same machine. This is a Lab machine it’s like┬á all in one box.

This list i got from Enio Basso wiki. and i want to get a copy ­čÖé

Install the following libraries on CentOS 6.x linux:

  • ksh.x86_64
  • rpm-build.x86_64
  • elfutils.x86_64
  • elfutils-libs.x86_64
  • libgcc.i686 gtk2.i686
  • PackageKit-gtk-module.i686
  • libcanberra-gtk2.i686
  • compat-libstdc++-33.i686
  • compat-libstdc++-33.x86_64
  • compat-db.x86_64
  • compat-db.i686
  • libstdc++.x86_64
  • libstdc++.i686
  • libXp.x86_64
  • libXp.i686
  • libXmu.x86_64
  • libXmu.i686
  • libXtst.x86_64
  • libXtst.i686
  • pam.x86_64
  • pam.i686
  • libXft.x86_64
  • libXft.i686
  • gtk2.x86_64
  • gtk2.i686
  • gtk2-engines.x86_64
  • gtk2-engines.i686
  • compat-libstdc++-296.i686

For CentOS run:

yum -y install ksh.x86_64 rpm-build.x86_64 elfutils.x86_64 elfutils-libs.x86_64 libgcc.i686 
yum -y install gtk2.i686 PackageKit-gtk-module.i686 libcanberra-gtk2.i686 compat-libstdc++-33.i686
yum -y install compat-libstdc++-33.x86_64 compat-db.x86_64 compat-db.i686 libstdc++.x86_64 libstdc++.i686 
yum -y install libXp.x86_64 libXp.i686 libXmu.x86_64 libXmu.i686 libXtst.x86_64
yum -y install  gtk2.x86_64 gtk2.i686 gtk2-engines.x86_64 gtk2-engines.i686
yum -y install  compat-libstdc++-296.i686 libXtst.i686 pam.x86_64 pam.i686 libXft.x86_64 libXft.i686